.coin-details {
  align-items: flex-start !important;
  gap: 16px !important;
}

.mobile .coin-details {
  
}

.coin-details .left-side {
  width: 100%;
  padding: 16px 14px 110px;
}

.coin-details .right-side {
  width: 100%;
}

.coin-details .left-side,
.coin-details .right-side {
  border-radius: 8px;
  background-color: var(--white);
}

.dark .coin-details .left-side,
.dark .coin-details .right-side {
  border-radius: 8px;
  background-color: var(--dark-grey);
}

.top-ine {
  justify-content: space-between;
  margin-bottom: 16px;
}

.top-line .title {
  font-weight: 400;
  font-size: 14px;
  line-height: 20px;
  color: var(--grey-light);
}

.rank-block {
  border-radius: 24px;
  background-color: var(--grey-200);
  display: inline-flex;
  padding: 7px 8px;
  line-height: 100%;
  font-weight: 400;
  font-size: 12px;
  line-height: 14px;
  color: var(--grey-900);
}

.dark .rank-block {
  background-color: var(--dark-black);
}

.coin-details .main-info-block {
  justify-content: space-between;
  margin-bottom: 40px;
}

.coin-info-wrap {
  margin-bottom: 40px;
}

.coin-name {
  gap: 4px;
}

.coin-name img {
  display: inline-block;
  border-radius: 50%;
  overflow: hidden;
  width: 40px;
  height: 40px;
}

.coin-details .name-wrap {
  align-items: flex-start;
  gap: 2px;
}

.coin-name-title {
  font-size: 18px;
  line-height: 24px;
  color: var(--black);
  font-family: Roboto;
  font-weight: 500;
}

.coin-symbol {
  font-size: 12px;
  line-height: 14px;
  color: var(--grey-800);
  font-weight: 700;
}

.price-count {
  font-size: 18px;
  font-family: Poppins, Helvetica, Roboto;
  line-height: 24px;
  font-weight: 400;
}

.price-rise {
  font-size: 14px;
  line-height: 20px;
  font-family: Poppins, Helvetica, Roboto;
  font-weight: 700;
}

.price-rise.rise {
  color: var(--success);
}

.price-rise.fall {
  color: var(--error);
}

.coin-details-content {
  align-items: stretch;
  gap: 15px;
}

.stack-block {
  display: flex;
  flex-direction: column;
  gap: 4px;
}

.line {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  justify-content: space-between;
}

.line .left-side-text {
  font-family: Roboto;
  font-weight: 400;
  font-size: 14px;
  line-height: 20px;
  color: var(--grey-800);
}

.line .right-side-text {
  font-family: Roboto;
  font-size: 14px;
  line-height: 20px;
  font-weight: 500;
  color: var(--black);
}

.dark .line .right-side-text {
  color: var(--white);
}

.coin-link {
  width: 24px;
  height: 24px;
  display: inline-block;
  color: var(--black);
}

.dark .coin-link {
  color: var(--white);
}

.coin-link .sprite {
  width: 100%;
  height: 100%;
}

.tags-wrap .left-side-text {
  display: inline-block;
  margin-bottom: 8px;
}

.tags-content {
  flex-wrap: wrap;
  gap: 8px 8px;
}

.tags-content .tag {
  border-radius: 24px;
  background-color: var(--grey-200);
  display: inline-flex;
  padding: 7px 8px;
  font-family: Roboto;
  font-weight: 400;
  font-size: 12px;
  line-height: 14px;
  color: var(--grey-900);
}

.dark .tags-content .tag {
  background-color: var(--dark-black);
  color: var(--white);
}

.coin-details-description-wrap h3 {
  font-size: 13px;
  line-height: 32px;
  text-align: center;
  font-family: "Trebuchet MS", Arial, sans-serif;
  color: var(--grey-800);
  text-align: left;
}

.coin-details-description-wrap p {
  font-family: Roboto;
  font-weight: 400;
  font-size: 14px;
  line-height: 20px;
  height: auto;
  overflow: hidden;
  transition: height ease-out 0.3s;
}

.coin-details-description-wrap.less p {
  height: 200px;
  position: relative;
}

.githubImg {
  background-position: -38px -5px
}

.dark .githubImg {
  background-position: -38px -40px
}

.coinsMarketImg {
  background-position: -70px -5px
}

.dark .coinsMarketImg {
  background-position: -70px -40px
}

.messariImg {
  background-position: -102px -5px
}

.dark .messariImg {
  background-position: -102px -40px
}

.webImg {
  background-position: -6px -5px
}

.dark .webImg {
  background-position: -6px -40px
}

.show-more .show-more-link,
.show-less .show-more-link,
.show-more .show-more-coin,
.show-less .show-more-coin {
  cursor: pointer;
  font-weight: 400;
  font-size: 14px;
  line-height: 20px;
  color: var(--blue);
}

.show-more .show-more-link:hover,
.show-less .show-more-link:hover,
.show-more .show-more-coin:hover,
.show-less .show-more-coin:hover {
  text-decoration: underline;
}

.coin-details-description-wrap.less p:before {
  content: '';
  display: block;
  width: 100%;
  height: 205px;
  background: linear-gradient(360deg, rgb(255, 255, 255) 12.82%, rgba(255, 255, 255, 0) 69.33%);
  position: absolute;
  left: 0px;
  bottom: -40px;
}

.dark .coin-details-description-wrap.less p:before {
  background: linear-gradient(360deg, rgb(39, 39, 42) 9.25%, rgba(39, 39, 42, 0) 80.14%);
}

.table-name-wrapper {
  width: 100%;
  text-align: left;
}

@media screen and (min-width: 900px) {
  .coin-details .left-side {
    width: calc(32% - 8px);
  }

  .coin-details .right-side {
    width: calc(68% - 8px);
    padding: 0px 14px 16px;
  }
}